Package org.springframework.cache

# Class Cache.ValueRetrievalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.cache.Cache.ValueRetrievalException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  Cache

public static class Cache.ValueRetrievalException extends RuntimeException
Wrapper exception to be thrown from `Cache.get(Object, Callable)` in case of the value loader callback failing with an exception.

Since:
  4.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ValueRetrievalException(Object key, Callable<?> loader, Throwable ex)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getKey()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValueRetrievalException

public ValueRetrievalException(@Nullable Object key, Callable<?> loader, @Nullable Throwable ex)

## Method Details

### getKey

@Nullable public Object getKey()